Bug 244160 - net/ntpsec: Fails to configure: Checking sizeof long: The configuration failed
Summary: net/ntpsec: Fails to configure: Checking sizeof long: The configuration failed
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL: https://gitlab.com/NTPsec/ntpsec/-/is...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-02-16 09:41 UTC by O. Hartmann
Modified: 2020-09-02 16:26 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (yuri)
koobs: merge-quarterly?


Attachments
config.log (80.93 KB, text/plain)
2020-03-09 07:07 UTC, Sigi
no flags Details
make output (4.25 KB, text/plain)
2020-03-09 07:15 UTC, Sigi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2020-02-16 09:41:30 UTC
The port fails to build due to a configure error on checking sizeof long, see error report extract below.

[...]
=>> Building net/ntpsec
build started at Sat Feb 15 12:55:50 UTC 2020
port directory: /usr/ports/net/ntpsec
package name: ntpsec-1.1.8
building for: FreeBSD p.de 12.1-STABLE FreeBSD 12.1-STABLE 1201512 amd64
maintained by: yuri@FreeBSD.org
Makefile ident:      $FreeBSD: head/net/ntpsec/Makefile 522770 2020-01-12 09:07:24Z yuri $
Poudriere version: 3.3.3
Host OSVERSION: 1300077
Jail OSVERSION: 1201512
Job Id: 02

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1201512
UNAME_v=FreeBSD 12.1-STABLE 1201512
UNAME_r=12.1-STABLE
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.3.3
MAKEOBJDIRPREFIX=/pool/sources/12-STABLE/obj/
MASTERMNT=/pool/poudriere/data/.m/12-amd64-head-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=screen
PWD=/pool/poudriere/data/.m/12-amd64-head-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=12-amd64-head-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/pool/poudriere/data/.m/12-amd64-head-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---
[...]


Here the error dropped out by poudriere:

[...]
Checking for type struct timex                                  : yes 
Checking for type struct ntptimeval                             : yes 
Checking for field time_tick in struct timex                    : no 
Checking for field modes in struct timex                        : yes 
Checking for field time.tv_nsec in struct ntptimeval            : yes 
Checking for field tai in struct ntptimeval                     : yes 
Checking sizeof long                                            : The configuration failed
(complete log in /wrkdirs/usr/ports/net/ntpsec/work/ntpsec-NTPsec_1_1_8/build/config.log)
===>  Script "configure" failed unexpectedly.
Please report the problem to yuri@FreeBSD.org [maintainer] and attach the
"/wrkdirs/usr/ports/net/ntpsec/work/ntpsec-NTPsec_1_1_8/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/net/ntpsec
=>> Cleaning up wrkdir
===>  Cleaning for ntpsec-1.1.8
build of net/ntpsec | ntpsec-1.1.8 ended at Sat Feb 15 12:55:58 UTC 2020
build time: 00:00:08
!!! build failure encountered !!!


[...]
Comment 1 Yuri Victorovich freebsd_committer 2020-02-16 10:23:10 UTC
The central build succeeds on 12: http://beefy6.nyi.freebsd.org/data/120amd64-default/524616/logs/ntpsec-1.1.8.log

Do you have any special settings when you build?
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-17 02:45:55 UTC
@Repoerter, could you include:

- The full output of config.log as an attachment please
- pkg version -v output as an attachment
- /etc/make.conf contents as an attachment
Comment 3 Yuri Victorovich freebsd_committer 2020-03-01 21:24:43 UTC
Closing because no additional details have been supplied by the submitter.
Submitter, please reopen if this is still a problem.
Comment 4 Sigi 2020-03-09 07:07:21 UTC
Created attachment 212275 [details]
config.log

Having same problem after updating kernel/world

12.1-STABLE r358717

make.conf
NO_GAMES=       true    # do not build games (games/ subdir)
NO_I4B=        true    # do not build isdn4bsd package
NO_LPR=        true    # do not build lpr and related programs
NO_BLUETOOTH=  true        # do not build Bluetooth related stuff
NO_BIND=true
WITH_PKGNG= yes
WITH_SSL_AND_PLAINTEXT=yes # imaps und cclient
OPTIONS_UNSET=X11
ENABLE_SUIDPERL=yes       #Also build set-user-id suidperl binary
DISABLE_VULNERABILITIES=no
DEFAULT_VERSIONS+=ssl=openssl
WRKDIRPREFIX=/fastdisk/clang
Comment 5 Sigi 2020-03-09 07:15:51 UTC
Created attachment 212276 [details]
make output
Comment 6 Yuri Victorovich freebsd_committer 2020-03-09 07:28:28 UTC
Reopening.
Comment 7 Sigi 2020-03-09 08:36:13 UTC
I think this is more than a build problem:
The workaround with installing ntpsec from packages does not work too.
pkg ntpsec is segfaulting
Comment 8 Yuri Victorovich freebsd_committer 2020-03-09 08:44:39 UTC
(In reply to Sigi from comment #7)

> pkg ntpsec is segfaulting

Please report this segfault here: https://github.com/freebsd/pkg/issues
Comment 9 Sigi 2020-03-09 08:54:07 UTC
clarification: pkg install ntpsec is working without problem.

Starting ntpsec installed from package does segfaulting. Same with ntpmon 


[my@machine:/usr/ports/net/ntpsec] # python -V                                                                                                                                  
Python 3.7.6                                                                                                                                                                   
[my@machine:/usr/ports/net/ntpsec] # which ntpmon | xargs ls -la                                                                                                                
-rwxr-xr-x  1 root  wheel  20423 Mar  5 07:29 /usr/local/bin/ntpmon                                                                                                            
[my@machine:/usr/ports/net/ntpsec] # which ntpd | xargs ls -la                                                                                                                  
-r-xr-xr-x  1 root  wheel  865992 Mar  7 23:17 /usr/sbin/ntpd                                                                                                                  
[my@machine:/usr/ports/net/ntpsec] # which ntpd | xargs file                                                                                                                    
/usr/sbin/ntpd: ELF 64-bit LSB executable, x86-64, version 1 (FreeBSD), dynamically linked, interpreter /libexec/ld-elf.so.1, for FreeBSD 12.1 (1201512), FreeBSD-style, stripp
ed                                                                                                                                                                             
[my@machine:/usr/ports/net/ntpsec] # which ntpmon | xargs file                                                                                                                  
/usr/local/bin/ntpmon: Python script, ASCII text executable                                                                                                                    
[my@machine:/usr/ports/net/ntpsec] # ntpmon                                                                                                                                     
Abort trap (core dumped)                                                                                                                                                       
[my@machine:/usr/ports/net/ntpsec] # service ntpd start                                                                                                                         
Starting ntpd.                                                                                                                                                                 
Segmentation fault (core dumped)                                                                                                                                               
/etc/rc.d/ntpd: WARNING: failed to start ntpd
Comment 10 Eric S. Raymond 2020-09-02 12:11:50 UTC
NTPsec maintainer checking in.

We think we've fixed the configuration problem by upgrading waf.  Is it still occurring on FreeBSD?

The segfault is a different and nastier issue.  Can we get a stack trace?
Comment 11 Sigi 2020-09-02 13:27:21 UTC
Sorry, i forgot about this ticket. 
Can confirm that port is building ok. At least since FreeBSD amd64 12.1-STABLE FreeBSD 12.1-STABLE r358717. There was some missing dependency for ntpviz, but cannot remember how i fixed...
Comment 12 commit-hook freebsd_committer 2020-09-02 16:24:23 UTC
A commit references this bug:

Author: yuri
Date: Wed Sep  2 16:24:06 UTC 2020
New revision: 547366
URL: https://svnweb.freebsd.org/changeset/ports/547366

Log:
  net/ntpsec: Update 1_1_9 -> 1_1_9-57-ge91d6e5c2

  Hoping to resolve bug#244160

  PR:		244160

Changes:
  head/net/ntpsec/Makefile
  head/net/ntpsec/distinfo
Comment 13 Yuri Victorovich freebsd_committer 2020-09-02 16:26:25 UTC
I've just committed the port update to the latest GH revision.

Could you please retest?

Based on fallout, it only ever failed on 11.3 and 13-CURRENT, and never on 12.